package com.scpyun.platform.jilinsscgsdp.service.impl;

import com.scpyun.base.core.annotation.Api;
import com.scpyun.base.core.annotation.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

@Api("Log日志测试")
@Service("logTestService")
public class LogTestServiceImpl {
    private static final Logger log = LoggerFactory.getLogger(LogTestServiceImpl.class);

    @ApiOperation(value = "Log日志测试",desc = "Log日志测试", nologin = true)
    public String logTest(){
        log.debug("进入Log日志测试，我是debug");
        log.info("进入Log日志测试，我是info");
        log.warn("进入Log日志测试，我是warn");
        log.error("进入Log日志测试，我是error");
        // 测试代码内出现异常时的日志行为
        String abc = null;
        int length = abc.length();
        return "OK";
    }
}
